SLES 11 sp1 to sp2 unable to add mobility addon

I am trying to upgrade our SLES 11 sp1 to Sp2 by following TID 7010339 but I am unable to add the mobility cd to the add-on list while booting from the sp2 cd. It just does not add anything when trying to read the cd.
If I just keep going it uninstalls datasync.
I have reverted the VM back to Sp1 for now.

Anyone any ideas ?
  • Conz;2258525 wrote:
    I am trying to upgrade our SLES 11 sp1 to Sp2 by following TID 7010339 but I am unable to add the mobility cd to the add-on list while booting from the sp2 cd. It just does not add anything when trying to read the cd.
    If I just keep going it uninstalls datasync.
    I have reverted the VM back to Sp1 for now.

    Anyone any ideas ?


    I always put the add-on ISO on the server (tend to make a folder /usr/install to centrally put it all) and point to the ISO during the install. imo much easier than having to switch the media. Typically the server's root partition will get mounted under /mnt/.
    Then when the upgrade to SP2 is done and you are booted back in the server OS, modify the path to the add-on ISO and take out the extra /mnt in the path value.

    -Willem
  • magic31;2258642 wrote:
    ...Typically the server's root partition will get mounted under /mnt/


    To clarify, it will get mounted like that when the system is booted from the SLES install media and while running through the installer's upgrade option.

    -Willem
  • I'll give this a try with the next opportunity I get thanks.
  • I had this same issue last night. I have an SLES11SP1 server that already has Datasync 1.2.5 installed on it. I followed the same TID that you did and have the exact same issue. When it comes time to add the mobility pack iso as an Add-on.. nothing happens. It "reads" the CD then just goes back to a blank Add-on product screen. If you continue with the install, after you boot your Sp2 server, there is no datasync installed. I tried to go into Yast gui and reinstall it , but then had a bunch of dependcy issues that I didnt know how to answer. I reverted back to Sp1 snapshot.

    It shouldn't matter if you use a CD or an ISO, btw... Conz, did your Sp1 server already have 1.2.5 installed or 1.2.4?
  • Btw, during the install, ALL repositories were listed as "removed". Maybe that has something to do with it.. ?
  • joebrug;2260070 wrote:
    Btw, during the install, ALL repositories were listed as "removed". Maybe that has something to do with it.. ?


    This is what I was thinking too, and my server already has 1.2.5 installed.
    But Its been running for a few previous versions, I got a lengthy list of cd's that it wanted to remove.

    I was thinking of attempting another upgrade later today. Turn off datasync auto start, shutdown machine, snapshot it and then (hopefully) upgrade.
  • joebrug;2260070 wrote:
    Btw, during the install, ALL repositories were listed as "removed". Maybe that has something to do with it.. ?


    This is what I was thinking too, and my server already has 1.2.5 installed.
    But Its been running for a few previous versions, I got a lengthy list of cd's that it wanted to remove.

    I was thinking of attempting another upgrade later today. Turn off datasync auto start, shutdown machine, snapshot it and then (hopefully) upgrade.
  • joebrug;2260070 wrote:
    Btw, during the install, ALL repositories were listed as "removed". Maybe that has something to do with it.. ?


    This is what I was thinking too, and my server already has 1.2.5 installed.
    But Its been running for a few previous versions, I got a lengthy list of cd's that it wanted to remove.

    I was thinking of attempting another upgrade later today. Turn off datasync auto start, shutdown machine, snapshot it and then (hopefully) upgrade.
  • I marked the last on the list of mobility CD's that had a cd:// url (there were about 8) as enabled, loaded the iso from the local disk and now its updating.
  • So you left the 1.2.5 mobility Enabled, then added the 1.2.5 iso again and it took it?